[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Problems compiling 4.0.3 for IRIX 6.5.x



In regard to: Problems compiling 4.0.3 for IRIX 6.5.x, John Dickerson said...:

>Hi,
>
>Has anyone successfully built RPM 4.0.3 for IRIX 6.5.x?

Yes, but you should have an easier time if you go with RPM 4.0.4 instead.
I know it's in the "test" directory on ftp.rpm.org rather than the dist
directory, but it should be pretty stable (and a little easier to build on
non-Linux platforms than 4.0.3 was).

>CC="/usr/local/bin/gcc" CFLAGS="-I/usr/local/include"
>LDFLAGS="-L/usr/local/lib -rpath /usr/local/lib"
>CPPFLAGS="-I/usr/local/include" ./configure --prefix=/usr/local
>--with-included-gettext

>Also using gcc 2.95.3, but using the IRIX ld.

The problem is that the included Berkeley DB is being built such that it
depends on the POSIX threads library, but the later link lines aren't
including that library.   You could just modify the Makefile to force
`-lpthread' onto the link line, but a better fix would be to make RPM
figure this out automatically.  It's been a while since I've looked at it,
but I think it should be possible to

>Should I be concerned about the "./misc/libmisc.a is not used for
>resolving any symbol." messages?

No.

Tim
-- 
Tim Mooney                              mooney@dogbert.cc.ndsu.NoDak.edu
Information Technology Services         (701) 231-1076 (Voice)
Room 242-J6, IACC Building              (701) 231-8541 (Fax)
North Dakota State University, Fargo, ND 58105-5164





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []